Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1051128 - Review Request: R-TH.data - Data for other R packages
Summary: Review Request: R-TH.data - Data for other R packages
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Sailer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-09 17:58 UTC by Orion Poplawski
Modified: 2014-01-29 20:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-29 20:18:57 UTC
Type: ---
t.sailer: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Orion Poplawski 2014-01-09 17:58:23 UTC
Spec URL: http://www.cora.nwra.com/~orion/fedora/R-TH.data.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/R-TH.data-1.0.2-1.fc20.src.rpm
Description: 
Data for other R packages.

Fedora Account System Username: orion

Comment 1 Thomas Sailer 2014-01-09 21:54:32 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
     => GPLv3
[X]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
     => package does not include license text
[!]: License field in the package spec file matches the actual license.
     => are you sure it is GPLv3+? DESCRIPTION simply says "GPL-3".
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[X]: Package contains desktop file if it is a GUI application.
     => no GUI app
[X]: Development files must be in a -devel package
     => no devel files
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[X]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[X]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

R:
[x]: Package contains the mandatory BuildRequires.
[x]: Package have the default element marked as %%doc :DESCRIPTION
[x]: The package has the standard %install section.
[x]: Package requires R-core.

===== SHOULD items =====

Generic:
[X]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
     => does this make sense? or how is it handled in the R domain?
[X]: Final provides and requires are sane (see attachments).
[X]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[X]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: Package should compile and build into binary rpms on all supported
     architectures.
[X]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

R:
[x]: The %check macro is present
[x]: Latest version is packaged.
     Note: Latest upstream version is 1.0.2, packaged version is 1.0.2

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: R-TH.data-1.0.2-1.fc20.noarch.rpm
          R-TH.data-1.0.2-1.fc20.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint R-TH.data
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
R-TH.data (rpmlib, GLIBC filtered):
    R-core



Provides
--------
R-TH.data:
    R-TH.data



Source checksums
----------------
ftp://cran.r-project.org/pub/R/contrib/main/TH.data_1.0-2.tar.gz :
  CHECKSUM(SHA256) this package     : ada7328a0085258686aac484aa755c31baad58f6e25d8365945ba065f7fe9684
  CHECKSUM(SHA256) upstream package : ada7328a0085258686aac484aa755c31baad58f6e25d8365945ba065f7fe9684


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1051128
Buildroot used: fedora-20-x86_64
Active plugins: Generic, R, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Thomas Sailer 2014-01-12 15:19:54 UTC
ping?

Comment 3 Orion Poplawski 2014-01-29 05:24:28 UTC
* Tue Jan 28 2014 Orion Poplawski <orion@cora.nwra.com> - 1.0.3-1
- Update to 1.0-3

* Fri Jan 10 2014 Orion Poplawski <orion@cora.nwra.com> - 1.0.2-2
- Fix license

Spec URL: http://www.cora.nwra.com/~orion/fedora/R-TH.data.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/R-TH.data-1.0.3-1.fc20.src.rpm

So, license is GPLv3 only, Torsten's reponse:

I don't skip copies of GPL-3 with my packages as of now. GPL-3 means
http://www.r-project.org/Licenses/GPL-3

only GPL-3, see
http://cran.r-project.org/doc/manuals/r-patched/R-exts.html#Licensing

Comment 4 Thomas Sailer 2014-01-29 11:36:24 UTC
APPROVED.

Comment 5 Orion Poplawski 2014-01-29 17:01:03 UTC
Thanks.

New Package SCM Request
=======================
Package Name: R-TH.data
Short Description: Data for other R packages
Owners: orion
Branches: f19 f20 el6 epel7
InitialCC:

Comment 6 Gwyn Ciesla 2014-01-29 18:50:28 UTC
Per the Packaging Guidelines, '_', '+' and '.' may not be used in the name of a pacakge. 
Please use '-' instead.

Comment 7 Orion Poplawski 2014-01-29 18:55:15 UTC
Oops, I was wondering about that.

New Package SCM Request
=======================
Package Name: R-TH-data
Short Description: Data for other R packages
Owners: orion
Branches: f19 f20 el6 epel7
InitialCC:

Comment 8 Gwyn Ciesla 2014-01-29 20:10:15 UTC
Git done (by process-git-requests).

Comment 9 Orion Poplawski 2014-01-29 20:18:57 UTC
Checked in and built.  Thanks all.


Note You need to log in before you can comment on or make changes to this bug.